# Appendix

Source: [https://docs.qualcomm.com/doc/80-70215-1/topic/appendix.html](https://docs.qualcomm.com/doc/80-70215-1/topic/appendix.html)

## Pagination

Endpoints that `GET` a list of objects (for example, devices,
                shipments, etc.) are paginated. When a user makes an API request, they can
                optionally specify a page number and/or a page size.
- pageNumber: Zero-based page index (0 to N-1); datatype is
                        Integer.
- pageSize: Size of the page to be returned (1..100);
                        datatype is Integer.

## Timestamps

All timestamps are displayed as milliseconds since the Unix epoch (January 1, 1970
                00:00:00).

A Unix timestamp follows the following format:

    1693823527Copy to clipboard

This timestamp is equivalent to 2023-09-04T10:32:07.000Z (UTC).

## Response codes

Standard [HTTP Status Codes](https://developer.mozilla.org/en-US/docs/Web/HTTP/Status)are provided as the API responses.
- 2xx:Successful response.
- 4xx: Client side error. Something went wrong with how the request was made.
                        Users should validate the request before retrying.
- 5xx: Server side error. There is an issue on the Aware side. Please wait and
                        retry later.

The following are a few examples of common HTTP errors and actions:
- **400 Bad Request**: Check the request parameters for accuracy and
                        completeness. Check the proper formatting and structure of the request and
                        retry.
- **401 Unauthorized**: Verify the authentication credentials provided in
                        the request. Validate the authentication credentials or get in touch with
                        customer support.
- **403 Forbidden**: Check user's access permissions in the request. Verify
                        the necessary permissions to perform the requested action.
- **404 Not Found**: Check the resource path for accuracy. Verify the
                        resource path is correct and exists and correct the path if necessary.
- **408 Request Timeout**: Check the network connectivity and latency.
                        Verify the network connection is stable and retry the request.

## FAQ

**When to use Aware API Polling vs. Webhook?**

API polling and webhook-based integration are two methods of retrieving data from an
                API. In the API polling paradigm, a client makes recurring calls to a specific API
                endpoint, whereas the webhook paradigm allows an application to get notified of an
                event as soon as it occurs.

API polling is useful when needing to keep data up-to-date in an application. It's
                flexible and customizable, allowing users to customize the sync frequency based on
                how often data must be updated. However, it's not suitable for real-time data and
                can be wasteful if the vast majority of API calls return back data that hasn't
                changed.

Webhooks are ideal for real-time data and cost-effective because excessive API calls
                aren't needed. Users can select conditions to an event to better control the
                messages received. However, webhooks aren't without their flaws. Requests can't be
                created from an application to the Aware platform.

In general, API polling is best suited for applications that require data that's not
                time-sensitive, while webhooks are ideal for applications that require real-time
                data. However, the choice between the two depends on the specific use case and the
                strengths and weaknesses of each method.

For assistance during design choice, create a support request in the [Aware support](https://mysupport.qualcomm.com/aware/s/) forum.

**How to obtain the Client ID and Client Secret for the tenant?**

To generate the client credentials for a tenant, create an Aware [MySupport](https://mysupport.qualcomm.com/aware/s/) request. The support team can provide the Client ID and Client
                Secret to use to generate access tokens to place the Aware API requests.

## Key notes

- Only HTTPS webhook endpoints are supported.
- \* URLs may change in the future.
- In the webhook API documentation, [webhookmock](https://playground.na-rpb.demo.aware.qualcomm.com/public/swagger-ui/index.html?urls.primaryName=notification#/webhookmock) category of APIs are
                        for understanding the payload schema information.
- GET /v1/devices/{serialNumber}/status

    The values of CPU and Memory information isn't present in the current
                            version.

Last Published: Jun 05, 2026

[Previous Topic
Migration from DEMO to PROD](https://docs.qualcomm.com/bundle/publicresource/80-70215-1/topics/migration-from-demo-to-prod.md)